## ros-jazzy-mavros-extras 2.8.0

=== debian/changelog ===
ros-jazzy-mavros-extras (2.8.0-1bookworm) bookworm; urgency=high

  * gimbal_control: fix build
  * gimbal_control: fix using
  * gimbal_control: connect service on use
  * regenerate all using cogall.sh
  * reformat with jazzy's ament_uncrustify
  * Merge branch 'master' into ros2
    * master:
    1.19.0
    update changelog
    gps_global_origin: remove LLA to ECEF conversion
  * 1.19.0
  * update changelog
  * removed prefix in enums in messages and changed to use existing functions for string and quaternion convert
  * Adding example service calls
  * Code cleanup
  * Removed exception after testing behavior
    Replaced with service call failure with MAV_RESULT_DENIED result value (2)
  * Corrected build errors and warnings
  * Final touches
    Added functionality that was overlooked for camera tracking if supported, added copyright info, added custom exception thrown when mode enumerator is not understood
  * Added gimbal_control plugin
    Added all functionality to support a plugin to enable compatibility with MAVLink Gimbal Protocol v2
  * Contributors: Frederik Mazur Andersen, Mark-Beaty, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 06 Jun 2024 16:00:00 -0000

ros-jazzy-mavros-extras (2.7.0-1bookworm) bookworm; urgency=high

  * re-generate with cogall.sh
  * Merge branch 'master' into ros2
    * master:
    1.18.0
    update changelog
    sys_status.cpp: improve timeout code
    sys_status.cpp: Add a SYS_STATUS message publisher
    [camera plugin] Fix image_index and capture_result not properly filled
    Fix missing semi-colon
    GPS_STATUS Plugin: Fill in available messages for ROS1 legacy
  * 1.18.0
  * update changelog
  * [camera plugin] Fix image_index and capture_result not properly filled
  * [camera plugin] Fix image_index and capture_result not properly filled
  * Update mavros_plugins.xml
  * Update wheel_odometry.cpp
    fix typo
  * Fix typo
    fix typo in odometry frame child id
  * Removed unused variable
  * Use SensorDataQoS for gp_origin subscriber
  * Fix missing semi-colon
  * GPS_STATUS Plugin: Fill in available messages for ROS1 legacy
    Filled in available fields in GPS_RAW_INT & GPS2_RAW messages
    p.s. seems GPS2_RAW more complete than original GPS_RAW_INT
  * Define _frd frames in odom plugin based on parent/child frame parametrs
  * Contributors: Beniamino Pozzan, Kristoffer Bergman, Matteo Molinari, Mattia Giurato, Mohamed Abdelkader, Seunghwan Jo, Vladimir Ermakov, hpbrandal

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 02 Mar 2024 16:00:00 -0000

ros-jazzy-mavros-extras (2.6.0-1bookworm) bookworm; urgency=high

  * switch to use tf2_eigen.hpp, but that drops support for EOL distros
  * ament uncrustify
  * cog: regenerate all
  * Merge branch 'master' into ros2
    * master:
    1.17.0
    update changelog
    cog: regenerate all
    Bugfix/update map origin with home position (#1892 <https://github.com/mavlink/mavros/issues/1892>)
    mavros: Remove extra ';'
    mavros_extras: Fix some init order warnings
    Suppress warnings from included headers
    1.16.0
    update changelog
    made it such that the gp_origin topic published latched.
    use hpp instead of deprecated .h pluginlib headers
  * 1.17.0
  * update changelog
  * Merge pull request #1889 <https://github.com/mavlink/mavros/issues/1889> from MKargus0/feature/fix_landing_target_time_conversion
    Fixed header.stamp conversion in landing target
  * fixed style
  * fixed header.stamp conversion in landing target
  * Merge pull request #1871 <https://github.com/mavlink/mavros/issues/1871> from Vladislavert/feature/optical_flow_msg
    Addition of New OpticalFlow.msg
  * Added geometry_msgs/Vector3 to OpticalFlow.msg
  * Added vectors to the message OpticalFlow.msg
  * Added message optical flow
  * Merge pull request #1865 <https://github.com/mavlink/mavros/issues/1865> from scoutdi/warnings
    Fix / suppress some build warnings
  * mavros_extras: Fix some init order warnings
  * Suppress warnings from included headers
  * 1.16.0
  * update changelog
  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Mikhail Kolodochka, Morten Fyhn Amundsen, Vladimir Ermakov, Vladislavert

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 08 Sep 2023 16:00:00 -0000

ros-jazzy-mavros-extras (2.5.0-1bookworm) bookworm; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 May 2023 16:00:00 -0000

ros-jazzy-mavros-extras (2.4.0-1bookworm) bookworm; urgency=high

  * extras: uncrustify
  * extras: fix build, 2
  * extras: fix build
  * extras: fix cog
  * Merge branch 'master' into ros2
    * master:
    1.15.0
    update changelog
    ci: update actions
    Implement debug float array handler
    mavros_extras: Fix a sequence point warning
    mavros_extras: Fix a comparison that shouldn't be bitwise
    mavros: Fix some warnings
    mavros_extras: Fix buggy check for lat/lon ignored
    libmavconn: fix MAVLink v1.0 output selection
  * 1.15.0
  * update changelog
  * Merge pull request #1811 <https://github.com/mavlink/mavros/issues/1811> from scoutdi/debug-float-array
    Implement debug float array handler
  * Implement debug float array handler
    Co-authored-by: Morten Fyhn Amundsen <mailto:morten.f.amundsen@scoutdi.com>
  * Merge pull request #1807 <https://github.com/mavlink/mavros/issues/1807> from scoutdi/fix-bitwise-comparison
    mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1808 <https://github.com/mavlink/mavros/issues/1808> from scoutdi/fix-sequence-point-warning
    mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a comparison that shouldn't be bitwise

