## ros-jazzy-mavros-extras 2.9.0

=== debian/changelog ===
ros-jazzy-mavros-extras (2.9.0-1bookworm) bookworm; urgency=high

  * extras: fix cmake lint
  * extras: fix cpplint errors
  * Merge pull request #1994 <https://github.com/mavlink/mavros/issues/1994> from evan-palmer/bug-yaml-cpp-humble-build
    Resolve build error when linking yaml-cpp
  * Resolved error in rebase
  * Merge branch 'ros2' into bug-yaml-cpp-humble-build
  * Resolved linking error with yaml-cpp in pre-Jazzy releases
  * Resolved build yaml-cpp build error
  * Resolved build error with yaml-cpp
  * Contributors: Evan Palmer, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 09 Oct 2024 16:00:00 -0000
